RDKit: RDKit::DataStructsExplicitBitVecPropHandler Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::DataStructsExplicitBitVecPropHandler Class Reference

`#include <DatastructsStreamOps.h>`

Inheritance diagram for RDKit::DataStructsExplicitBitVecPropHandler:

## Public Member Functions
const char * | getPropName () const override
bool | canSerialize (const RDValue &value) const override
bool | read (std::istream &ss, RDValue &value) const override
bool | write (std::ostream &ss, const RDValue &value) const override
CustomPropHandler * | clone () const override
Public Member Functions inherited from RDKit::CustomPropHandler
virtual | ~CustomPropHandler ()

## Detailed Description

Definition at line 39 of file DatastructsStreamOps.h.

## Member Function Documentation

## ◆ canSerialize()

bool RDKit::DataStructsExplicitBitVecPropHandler::canSerialize | ( | const RDValue & | value | ) | const
| inlineoverridevirtual

Implements RDKit::CustomPropHandler.

Definition at line 42 of file DatastructsStreamOps.h.

References RDKit::rdvalue_is().

## ◆ clone()

CustomPropHandler * RDKit::DataStructsExplicitBitVecPropHandler::clone | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::CustomPropHandler.

Definition at line 66 of file DatastructsStreamOps.h.

## ◆ getPropName()

const char * RDKit::DataStructsExplicitBitVecPropHandler::getPropName | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::CustomPropHandler.

Definition at line 41 of file DatastructsStreamOps.h.

## ◆ read()

bool RDKit::DataStructsExplicitBitVecPropHandler::read | ( | std::istream & | ss,
|  | RDValue & | value ) const
| inlineoverridevirtual

Implements RDKit::CustomPropHandler.

Definition at line 46 of file DatastructsStreamOps.h.

References RDKit::streamRead().

## ◆ write()

bool RDKit::DataStructsExplicitBitVecPropHandler::write | ( | std::ostream & | ss,
|  | const RDValue & | value ) const
| inlineoverridevirtual

Implements RDKit::CustomPropHandler.

Definition at line 55 of file DatastructsStreamOps.h.

References RDKit::rdvalue_cast(), and RDKit::streamWrite().

The documentation for this class was generated from the following file:

- DatastructsStreamOps.h